petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESLineSearchReset

Undoes the SNESLineSearchSetUp() and deletes any Vecs or Mats allocated by the line search.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchReset(SNESLineSearch linesearch)

Collective on SNESLineSearch

### Input Parameters

linesearch -The LineSearch instance.

Notes: Usually only called by SNESReset()

### Keywords

SNESLineSearch, Reset

### See Also

SNESLineSearchSetUp()

Level:developer
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages